Subject: bug#67884: 30.0.50; fido-mode errors when case-fold-search is nil

From: João Távora <[email-masked]>
Date: Tue, 19 Dec 2023 09:50:03 +0000

tags 67884 confirm
thanks

On Mon, Dec 18, 2023 at 8:11 PM parlando--- via Bug reports for GNU
Emacs, the Swiss army knife of text editors <[email-masked]>
wrote:
>
> Hi,
>
> If global case-fold-search is nil, fido-mode throws errors when typing
> upper case letters or on candidates with upper case letters.
>
> Reproduce with: emacs -Q, then:
>
> (fido-mode 1)
> (toggle-case-fold-search)
>
> ;; then execute:
> ;; M-x <T or t or another pattern>
>
> Which produces messages like:
>  > Error in post-command-hook (icomplete-post-command-hook): (error
> "Internal error: \\`\\(.*?\\)T does not match cpp-parse-edit")
>  > Error in post-command-hook (icomplete-post-command-hook): (error
> "Internal error: \\`\\(.*?\\)t does not match LaTeX-mode")

Thanks.  Reproduced.  I think the error specifically was due to
recent changes in Emacs master.  In Emacs 29, fido-mode doesn't
error, but doesn't respect case-fold-search either.

João